import request from '@/utils/request'
// 查询钉钉用户列表
export function listDingUser(query) {
    return request({
        url: '/erp/dingTalkUser/list',
        method: 'get',
        params: query
    })
}
// 同步所有部门
export function dingTalkDept() {
    return request({
        url: '/erp/dingTalkDept/sync',
        method: 'get',
    })
}
// 同步所有钉钉用户人员
export function dingTalkUser() {
    return request({
        url: '/erp/dingTalkUser/syncAll',
        method: 'PUT',
    })
}
// 同步钉钉用户信息
export function dingTalk(dUserid) {
    return request({
        url: `/erp/dingTalkUser/sync/${dUserid}`,
        method: 'PUT',
    })
}
// 钉钉部门列表
export function getDingList() {
    return request({
        url: `/erp/dingTalkDept/allOfTree`,
        method: 'GET',
    })
}